Skip to content

Commands Knowledge

Total endpoints: 9 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER

Autonomous Planning Output

  • Endpoint: /api/v2/commands/autonomous_planning_output/
  • Function: Execute the autonomous_planning_output command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/autonomous_planning_output/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/autonomous_planning_output/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "autonomous_planning_output"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Enqueue Mission

  • Endpoint: /api/v2/commands/enqueue_mission/
  • Function: Execute the enqueue_mission command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, DictValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/enqueue_mission/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": {"key": "value"}}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/enqueue_mission/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': {'key': 'value'}}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "enqueue_mission",
    "value": {
      "key": "value"
    }
  },
  "result": "value"
}

Note: Payload depends on the executed command.

List All Location Ids

  • Endpoint: /api/v2/commands/list_all_location_ids/
  • Function: Execute the list_all_location_ids command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/list_all_location_ids/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/list_all_location_ids/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "list_all_location_ids"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

List Entities

  • Endpoint: /api/v2/commands/list_entities/
  • Function: Execute the list_entities command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/list_entities/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/list_entities/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "list_entities"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

List Facts And Fluents

  • Endpoint: /api/v2/commands/list_facts_and_fluents/
  • Function: Execute the list_facts_and_fluents command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/list_facts_and_fluents/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/list_facts_and_fluents/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "list_facts_and_fluents"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Make Priority Level

  • Endpoint: /api/v2/commands/make_priority_level/
  • Function: Execute the make_priority_level command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, DictValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/make_priority_level/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": {"key": "value"}}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/make_priority_level/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': {'key': 'value'}}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "make_priority_level",
    "value": {
      "key": "value"
    }
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Pddl Domain

  • Endpoint: /api/v2/commands/pddl_domain/
  • Function: Execute the pddl_domain command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/pddl_domain/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/pddl_domain/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "pddl_domain"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Pddl Problem

  • Endpoint: /api/v2/commands/pddl_problem/
  • Function: Execute the pddl_problem command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/pddl_problem/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/pddl_problem/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "pddl_problem"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Typename To Entities

  • Endpoint: /api/v2/commands/typename_to_entities/
  • Function: Execute the typename_to_entities command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/typename_to_entities/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/typename_to_entities/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "typename_to_entities",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.